resource "openstack_networking_floatingip_v2" "float_ip_loadbalancer_app" {
  pool = var.cloud_network
}

resource "openstack_networking_floatingip_associate_v2" "floating_ip_loadbalancer_app_attach" {
  floating_ip = openstack_networking_floatingip_v2.float_ip_loadbalancer_app.address
  port_id     = openstack_lb_loadbalancer_v2.loadbalancer_app.vip_port_id
  depends_on = [
    openstack_networking_router_interface_v2.router_interface_internal_app
  ]
}